###restores Vray diffuse colours then saves
####### USE AT OWN RISK ##############

import bpy


currentBlend = bpy.data.filepath
print ("## OPENED", currentBlend)
print ("## RUNNING FIX")

#apply the fix
for ma in bpy.data.materials:
    if hasattr(ma, 'vray'):
        ma.vray.BRDFVRayMtl.diffuse = ma.diffuse_color
        print ("## FIXED MATERIAL :", ma.name)
    else:
        pass
	
#save
bpy.ops.wm.save_mainfile(filepath=currentBlend)
print("## SAVED", currentBlend)


#blender quites itself in --background mode